/**
 * CFilterDateRange - 筛选项目，选择日期
 * @author Tevin
 */

<template>
    <view
        class="c-filter-select c-filter-date"
        :class="'type-'+place"
    >
        <view
            class="label"
            v-if="place==='item'"
        >{{label}}</view>
        <CDateRangeAction
            :value="value"
            :onChange="evt => handleChange(evt)"
        >
            <view class="content">
                <view
                    class="label"
                    v-if="place==='bar'"
                >{{label}}</view>
                <view :class="selected?'filled':'empty'">
                    {{selected ? value.replace(',', ' , ') : ('请选择' + label)}}
                </view>
                <view class="at-icon at-icon-chevron-down" />
            </view>
        </CDateRangeAction>
    </view>
</template>

<script>
import Taro from '@tarojs/taro';
import { CDateRangeAction } from '@components/forms/datePicker';
import './cFilterDateRange.scss';

export default {
    name: 'CFilterDateRange',
    components: {
        CDateRangeAction,
    },
    props: {
        // 位置类型，bar、item
        place: String,
        // 项名称
        label: String,
        // 项键名
        name: String,
        // 项值
        value: String,
        // 变化回调
        onChange: Function,
    },
    data() {
        return {};
    },
    computed: {
        selected() {
            return (this.value || '').length > 2;
        },
    },
    methods: {
        handleChange(dateRange) {
            this.onChange({
                place: this.place,
                name: this.name,
                value: dateRange,
            });
        },
    },
};
</script>